## dfc 2.5.0

=== Makefile ===
CC	?= gcc
CFLAGS ?= -O2 -std=c89
LDFLAGS +=
CFDEBUG = -g3 -pedantic -Wall -Wunused-parameter -Wlong-long\
		  -Wsign-conversion -Wconversion -Wimplicit-function-declaration
SRC = src
MAN = man
EXEC = dfc

SRCS= ${SRC}/dfc.c \
	  ${SRC}/disp.c \
      ${SRC}/list.c \
	  ${SRC}/util.c

OBJS= ${SRCS:.c=.o}

.PATH: ${SRC}

PREFIX?=/usr/local
BINDIR=${PREFIX}/bin
MANDIR=${PREFIX}/man

all: ${EXEC}

.c.o:
	${CC} ${CFLAGS} -o $@ -c $<

${EXEC}: ${OBJS}
	${CC} ${LDFLAGS} -o ${EXEC} ${OBJS}

install-main: dfc
	test -d ${DESTDIR}${BINDIR} || mkdir -p ${DESTDIR}${BINDIR}
	install -m755 dfc ${DESTDIR}${BINDIR}/dfc

install-data: ${MAN}/dfc.1
	test -d ${DESTDIR}${MANDIR}/man1 || mkdir -p ${DESTDIR}${MANDIR}/man1
	install -m644 ${MAN}/dfc.1 ${DESTDIR}${MANDIR}/man1/dfc.1

install: all install-main install-data

debug: ${EXEC}
debug: CC += ${CFDEBUG}

clean:
	rm -rf ${SRC}/*.o

mrproper: clean
	rm ${EXEC}

.PHONY: all clean mrproper install install-main install-data

=== debian/changelog ===
dfc (2.5.0-1) unstable; urgency=low

  * Initial release (Closes: #668905)

 -- Khalid El Fathi <khalid@elfathi.fr>  Sun, 15 Apr 2012 18:00:43 +0200

=== debian/control ===
Source: dfc
Section: utils
Priority: extra
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3.1
Homepage: http://projects.gw-computing.net/projects/dfc
Vcs-Git: git://git.debian.org/collab-maint/dfc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/dfc.git;a=summary

Package: dfc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: display file system usage using graph and colors
 dfc is a simple tool that display file system usage, using a graph
 and nice colors
 .
 It contains a whole lot of options.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	cp dfc  $(CURDIR)/debian/dfc/usr/bin/
	cp man/dfc.1 $(CURDIR)/debian/dfc/usr/share/man/man1/

## dfc 3.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)

# project informations
project(dfc C)
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(VERSION_MAJOR 3)
set(VERSION_MINOR 0)
set(VERSION_PATCH 5)
set(VERSION_BRANCH "")
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_BRANCH})

# useful defines
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
set(SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(BUILD_DIR ${CMAKE_CURRENT_SOURCE_DIR}/build)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY bin/${CMAKE_BUILD_TYPE})
set(MAN_DIR ${CMAKE_CURRENT_SOURCE_DIR}/man)
set(CONF_DIR ${CMAKE_CURRENT_SOURCE_DIR}/conf)
set(PO_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po)

# defines for installation
if(DEFINED PREFIX)
	set(PREFIX ${PREFIX} CACHE PATH "install prefix")
	set(CMAKE_INSTALL_PREFIX ${PREFIX})
else()
	set(PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "install prefix")
endif()

# use a sysconfdir if specified
if(DEFINED SYSCONFDIR)
	set(SYSCONFDIR ${SYSCONFDIR} CACHE PATH "config directory")
else()
	set(SYSCONFDIR ${PREFIX}/etc CACHE PATH "config directory")
endif()

# share directory
if(DEFINED SHAREDIR)
	set(SHAREDIR ${SHAREDIR} CACHE PATH "share directory")
else()
	set(SHAREDIR ${PREFIX}/share CACHE PATH "share directory")
endif()

# locale
if(DEFINED LOCALEDIR)
	set(LOCALEDIR ${LOCALEDIR} CACHE PATH "locale directory")
else()
	set(LOCALEDIR ${SHAREDIR}/locale CACHE PATH "locale directory")
endif()

# if XDG Config Dir is specified, use it
if(DEFINED XDG_CONFIG_DIR)
	set(XDG_CONFIG_DIR ${XDG_CONFIG_DIR} CACHE PATH "xdg config directory")
else()
	set(XDG_CONFIG_DIR ${SYSCONFDIR}/xdg CACHE PATH "xdf config directory")
endif()

# man path
if(DEFINED MAN_PATH)
	set(MAN_PATH ${MAN_PATH} CACHE PATH "manpage directory")
else()
	set(MAN_PATH ${SHAREDIR}/man CACHE PATH "manpage directory")
endif()

# doc path
if(DEFINED DOC_PATH)
	set(DFC_DOC_PATH ${DFC_DOC_PATH} CACHE PATH "doc directory")
else()
	set(DFC_DOC_PATH ${SHAREDIR}/doc/${PACKAGE} CACHE PATH "doc directory")
endif()

# Check for libintl
find_package(Libintl)
if (LIBINTL_FOUND)
	option(NLS_ENABLED "Translation support with gettext" on)
else()
	option(NLS_ENABLED "Translation support with gettext" off)
endif()

option(LFS_ENABLED "Enable macros for Large File Source. Required on 32-bit systems but should not cause any problems if defined on non 32-bit systems anyway, thus enabled by default." on)

option(GRIM "Very strict compiler options (use it to debug dfc)" off)
if(GRIM)
	set(CMAKE_BUILD_TYPE GRIM CACHE STRING "Very strict compiler options")
	include(CheckCCompilerFlag)
	check_c_compiler_flag(-Wsign-conversion HAS_WSIGN_CONVERSION)
	check_c_compiler_flag(-Wdouble-promotion HAS_WDOUBLE_PROMOTION)
	check_c_compiler_flag(-Wlogical-op HAS_WLOGICAL_OP)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O0 -g -pedantic -Wall -Wextra -Wconversion -Wstrict-prototypes -Wcast-qual -Wcast-align -Wshadow -Wredundant-decls -Wundef -Wfloat-equal -Wmissing-include-dirs -Wswitch-default -Wswitch-enum -Wpointer-arith -Wbad-function-cast -Wnested-externs -Wold-style-definition")
	if (HAS_WSIGN_CONVERSION)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wsign-conversion")
	endif()
	if (HAS_WDOUBLE_PROMOTION)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdouble-promotion")
	endif()
	if (HAS_WLOGICAL_OP)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wlogical-op")
	endif()
else()
	set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build optimized for release")
endif()

configure_file(
	${SOURCE_DIR}/extern.h.in
	${SOURCE_DIR}/extern.h
)

set(EXECUTABLE_NAME ${CMAKE_PROJECT_NAME})
SET(SRCS
	${SOURCE_DIR}/csv.c
	${SOURCE_DIR}/dotfile.c
	${SOURCE_DIR}/dfc.c
	${SOURCE_DIR}/html.c
	${SOURCE_DIR}/list.c
	${SOURCE_DIR}/tex.c
	${SOURCE_DIR}/text.c
	${SOURCE_DIR}/util.c
)
add_executable(
	${EXECUTABLE_NAME}
	${SRCS}
)

# CFLAGS (using c99 only for long long, all the rest should be c89 compliant)
add_definitions(-O2 -std=c99)

if(LFS_ENABLED)
    add_definitions(-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64)
endif()

if(NLS_ENABLED)
	# load gettext module for translation
	set(GettextTranslate_ALL true)
	set(GettextTranslate_GMO_BINARY true)
	include(GettextTranslate)
	add_subdirectory(po)

	include_directories(${LIBINTL_INCLUDE_DIR})
	target_link_libraries(${EXECUTABLE_NAME} ${LIBINTL_LIBRARIES})
endif()

set(DFC_DOC_FILES
	AUTHORS
    CHANGELOG
	HACKING
	LICENSE
	README
	TRANSLATORS
)

mark_as_advanced(CMAKE_INSTALL_PREFIX)

set(DFC_SYSCONFDIR	${XDG_CONFIG_DIR}/${PACKAGE})

file(STRINGS ${PO_DIR}/LINGUAS LINGUAS REGEX "^[^#].*")
string(REGEX MATCHALL "[^ ]+" languages ${LINGUAS})

# rule to generate a source tarball
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set(CPACK_SOURCE_IGNORE_FILES
	"~$"
    ".directory"
	".swp$"
	"^${PROJECT_SOURCE_DIR}/.git/"
	"^${PROJECT_SOURCE_DIR}/build/"
	"${PROJECT_SOURCE_DIR}/.gitignore$"
	"${PROJECT_SOURCE_DIR}/po/dfc.pot$"
	"${PROJECT_SOURCE_DIR}/src/extern.h$"
	"${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)
add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

# installation
install(TARGETS ${EXECUTABLE_NAME} RUNTIME DESTINATION bin)
install(FILES ${MAN_DIR}/dfc.1 DESTINATION ${MAN_PATH}/man1)
install(FILES ${CONF_DIR}/dfcrc DESTINATION ${DFC_SYSCONFDIR})
if(NLS_ENABLED)
    foreach(lang ${languages})
        install(FILES ${MAN_DIR}/${lang}/${PACKAGE}.1 DESTINATION ${MAN_PATH}/${lang}/man1)
        install(FILES ${CONF_DIR}/${lang}/dfcrc DESTINATION ${DFC_SYSCONFDIR}/${lang})
    endforeach()
endif()
install(FILES ${DFC_DOC_FILES} DESTINATION ${DFC_DOC_PATH})

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P
	${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== debian/changelog ===
dfc (3.0.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #734038, #670983)
    + Add Build-Depends on cmake.
    + Update debian/rules.
    + Remove 10-man--dfc.1.patch.
    + debian/rules: fix cleaning process.
  * debian/control:
    + Bump Standards-Version to 3.9.6 (no changes needed).
    + Use canonical VCS fields.
    + Update package description. (Closes: #689400)
  * Update debian/copyright.
  * Add debian/upstream/metadata (DEP-12).

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 05 Oct 2014 09:50:41 -0400

=== debian/control ===
Source: dfc
Section: utils
Priority: extra
Maintainer: Khalid El Fathi <khalid@elfathi.fr>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.6
Homepage: http://projects.gw-computing.net/projects/dfc
Vcs-Git: git://anonscm.debian.org/collab-maint/dfc.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dfc.git

Package: dfc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: display file system usage using graph and colors
 dfc displays file system space usage using graphs and colors. In some ways, it
 is a modernized version of df as it is able to use colors, draw graphs and
 export its output to different formats such as CSV or HTML.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	cp -v po/fr.po debian/fr.po.orig
	dh_auto_configure -- -DXDG_CONFIG_DIR=/usr/share/doc/dfc/examples \
	  -DSYSCONFDIR=/etc

override_dh_auto_install:
	dh_auto_install
	rm -v debian/dfc/usr/share/doc/dfc/LICENSE \
	  debian/dfc/usr/share/doc/dfc/CHANGELOG

override_dh_auto_clean:
	dh_auto_clean
	if [ -f debian/fr.po.orig ]; then mv -v debian/fr.po.orig po/fr.po; fi
	rm -vf po/dfc.pot src/extern.h

## dfc 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.4)

# project informations
project(dfc C)
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(VERSION_MAJOR 3)
set(VERSION_MINOR 1)
set(VERSION_PATCH 0)
execute_process(
    COMMAND git rev-parse --short HEAD
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE VERSION_REVISION
    ERROR_QUIET
    OUTPUT_STRIP_TRAILING_WHITESPACE
)
# prepend "-" to version_revision
if(VERSION_REVISION)
    set(VERSION_REVISION "-${VERSION_REVISION}")
endif()
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_REVISION})

# supported platforms
if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    set(BSD true)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "DragonFly")
    set(BSD true)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "kFreeBSD")
    set(LINUX true)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    set(BSD true)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    set(LINUX true)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    set(BSD true)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "OpenBSD")
    set(BSD true)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
    set(SOLARIS true)
elseif(${CMAKE_SYSTEM_NAME} MATCHES "GNU")
    set(LINUX true)
else()
    message(FATAL_ERROR "Unsupported platform: ${CMAKE_SYSTEM_NAME}")
endif()

# useful defines
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
set(SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src)
set(BUILD_DIR ${CMAKE_CURRENT_SOURCE_DIR}/build)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY bin/${CMAKE_BUILD_TYPE})
set(MAN_DIR ${CMAKE_CURRENT_SOURCE_DIR}/man)
set(CONF_DIR ${CMAKE_CURRENT_SOURCE_DIR}/conf)
set(PO_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po)
include_directories("src")

# defines for installation
if(DEFINED PREFIX)
    set(PREFIX ${PREFIX} CACHE PATH "install prefix")
    set(CMAKE_INSTALL_PREFIX ${PREFIX})
else()
    set(PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "install prefix")
endif()

# use a sysconfdir if specified
if(DEFINED SYSCONFDIR)
    set(SYSCONFDIR ${SYSCONFDIR} CACHE PATH "config directory")
else()
    set(SYSCONFDIR ${PREFIX}/etc CACHE PATH "config directory")
endif()

# share directory
if(DEFINED SHAREDIR)
    set(SHAREDIR ${SHAREDIR} CACHE PATH "share directory")
else()
    set(SHAREDIR ${PREFIX}/share CACHE PATH "share directory")
endif()

# locale
if(DEFINED LOCALEDIR)
    set(LOCALEDIR ${LOCALEDIR} CACHE PATH "locale directory")
else()
    set(LOCALEDIR ${SHAREDIR}/locale CACHE PATH "locale directory")
endif()

# if XDG Config Dir is specified, use it
if(DEFINED XDG_CONFIG_DIR)
    set(XDG_CONFIG_DIR ${XDG_CONFIG_DIR} CACHE PATH "xdg config directory")
else()
    set(XDG_CONFIG_DIR ${SYSCONFDIR}/xdg CACHE PATH "xdf config directory")
endif()

# man path
if(DEFINED MAN_PATH)
    set(MAN_PATH ${MAN_PATH} CACHE PATH "manpage directory")
else()
    set(MAN_PATH ${SHAREDIR}/man CACHE PATH "manpage directory")
endif()

# doc path
if(DEFINED DOC_PATH)
    set(DFC_DOC_PATH ${DFC_DOC_PATH} CACHE PATH "doc directory")
else()
    set(DFC_DOC_PATH ${SHAREDIR}/doc/${PACKAGE} CACHE PATH "doc directory")
endif()

# Check for libintl
find_package(Libintl)
if (LIBINTL_FOUND)
    option(NLS_ENABLED "Translation support with gettext" on)
else()
    option(NLS_ENABLED "Translation support with gettext" off)
endif()

option(LFS_ENABLED "Enable macros for Large File Source. Required on 32-bit systems but should not cause any problems if defined on non 32-bit systems anyway, thus enabled by default." on)

# set compiler flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
if(LINUX)
    ADD_DEFINITIONS(-D_XOPEN_SOURCE=600)
elseif(SOLARIS)
    ADD_DEFINITIONS(-D__EXTENSIONS__)
endif()
include(CheckCCompilerFlag)
check_c_compiler_flag(-Wsign-conversion HAS_WSIGN_CONVERSION)
check_c_compiler_flag(-Wdouble-promotion HAS_WDOUBLE_PROMOTION)
check_c_compiler_flag(-Wlogical-op HAS_WLOGICAL_OP)
check_c_compiler_flag(-Wjump-misses-init HAS_WJUMP_MISSES_INIT)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -pedantic -Wconversion -Wstrict-prototypes -Wcast-qual -Wcast-align -Wshadow -Wredundant-decls -Wundef -Wfloat-equal -Wmissing-include-dirs -Wswitch-default -Wswitch-enum -Wpointer-arith -Wbad-function-cast -Wnested-externs -Wold-style-definition -Wformat=2 -Winit-self -Wwrite-strings -Wmissing-prototypes -pipe")
if(HAS_WSIGN_CONVERSION)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wsign-conversion")
endif()
if(HAS_WDOUBLE_PROMOTION)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wdouble-promotion")
endif()
if(HAS_WLOGICAL_OP)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wlogical-op")
endif()
if(HAS_WJUMP_MISSES_INIT)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wjump-misses-init")
endif()

set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS} -O2 -DNDEBUG")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS} -g3 -ggdb3 -Wpadded -Wpacked")

if(CMAKE_COMPILER_IS_GNUCC)
    # gcc warns about strftime format when using std=c99. According to
    # strftime(3), it is safe to remove this warning
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-format-y2k")
endif()


# platform specific source files
if(BSD)
    set(SERVICE_SRC_FILE "${SOURCE_DIR}/platform/services-bsd.c")
elseif(LINUX)
    set(SERVICE_SRC_FILE "${SOURCE_DIR}/platform/services-linux.c")
elseif(SOLARIS)
    set(SERVICE_SRC_FILE "${SOURCE_DIR}/platform/services-solaris.c")
else()
    message(FATAL_ERROR "Unsupported platform: ${CMAKE_SYSTEM_NAME}")
endif()

set(EXECUTABLE_NAME ${CMAKE_PROJECT_NAME})
SET(SRCS
    ${SOURCE_DIR}/dotfile.c
    ${SOURCE_DIR}/dfc.c
    ${SOURCE_DIR}/list.c
    ${SOURCE_DIR}/util.c
    ${SOURCE_DIR}/export/csv.c
    ${SOURCE_DIR}/export/html.c
    ${SOURCE_DIR}/export/json.c
    ${SOURCE_DIR}/export/tex.c
    ${SOURCE_DIR}/export/text.c
    ${SERVICE_SRC_FILE}
)
add_executable(
    ${EXECUTABLE_NAME}
    ${SRCS}
)


if(LFS_ENABLED)
    add_definitions(-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64)
endif()

if(NLS_ENABLED)
    add_definitions(-DNLS_ENABLED)
    # load gettext module for translation
    set(GettextTranslate_ALL true)
    set(GettextTranslate_GMO_BINARY true)
    include(GettextTranslate)
    add_subdirectory(po)

    include_directories(${LIBINTL_INCLUDE_DIR})
    target_link_libraries(${EXECUTABLE_NAME} ${LIBINTL_LIBRARIES})
endif()

# link libraries
target_link_libraries(${EXECUTABLE_NAME} m)

add_definitions(-DPACKAGE="${PACKAGE}" -DVERSION="${VERSION}" -DLOCALEDIR="${LOCALEDIR}")

set(DFC_DOC_FILES
    AUTHORS.md
    CHANGELOG.md
    HACKING.md
    LICENSE
    README.md
    TRANSLATORS.md
)

mark_as_advanced(CMAKE_INSTALL_PREFIX)

set(DFC_SYSCONFDIR ${XDG_CONFIG_DIR}/${PACKAGE})

file(STRINGS ${PO_DIR}/LINGUAS LINGUAS REGEX "^[^#].*")
string(REGEX MATCHALL "[^ ]+" languages ${LINGUAS})

# rule to generate a source tarball
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set(CPACK_SOURCE_IGNORE_FILES
    "~$"
    ".directory"
    ".swp$"
    "^${PROJECT_SOURCE_DIR}/.git/"
    "^${PROJECT_SOURCE_DIR}/build/"
    "${PROJECT_SOURCE_DIR}/.gitignore$"
    "${PROJECT_SOURCE_DIR}/po/dfc.pot$"
    "${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)
add_custom_target(dist
    COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

# installation
install(TARGETS ${EXECUTABLE_NAME} RUNTIME DESTINATION bin)
install(FILES ${MAN_DIR}/dfc.1 DESTINATION ${MAN_PATH}/man1)
install(FILES ${CONF_DIR}/dfcrc DESTINATION ${DFC_SYSCONFDIR})
if(NLS_ENABLED)
    foreach(lang ${languages})
        install(FILES ${MAN_DIR}/${lang}/${PACKAGE}.1 DESTINATION ${MAN_PATH}/${lang}/man1)
        install(FILES ${CONF_DIR}/${lang}/dfcrc DESTINATION ${DFC_SYSCONFDIR}/${lang})
    endforeach()
endif()
install(FILES ${DFC_DOC_FILES} DESTINATION ${DFC_DOC_PATH})

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== po/CMakeLists.txt ===
GettextTranslate()

=== debian/changelog ===
dfc (3.1.0-1) unstable; urgency=medium

  [ Sabino Par ]
  * New maintainer (Closes: #858664).
  * Acknowledge NMU (closes: #764538).
  * Update to new compat level 10.
  * Update debian/copyright file.

  [ Axel Beckert ]
  * Import upstream version 3.1.0
    + Enforce cmake as build system, otherwise FTBFS.
    + Update packaging wrt. to renamed documentation files.
    + Handle po/nl.po like po/fr.po.
  * Switch most URLs in packaging to HTTPS.
  * Declare compliance with Debian Policy 3.9.8.
  * Enable all hardening build flags.

 -- Sabino Par <sprab@onenetbeyond.org>  Sat, 15 Jul 2017 13:22:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: dfc
 Section: utils
 Priority: extra
-Maintainer: Khalid El Fathi <khalid@elfathi.fr>
-Build-Depends: debhelper (>= 9), cmake
-Standards-Version: 3.9.6
-Homepage: http://projects.gw-computing.net/projects/dfc
-Vcs-Git: git://anonscm.debian.org/collab-maint/dfc.git
+Maintainer: Sabino Par <sprab@onenetbeyond.org>
+Build-Depends: debhelper (>= 10), cmake
+Standards-Version: 3.9.8
+Homepage: https://projects.gw-computing.net/projects/dfc
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dfc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dfc.git
 
 Package: dfc

## dfc 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 set(VERSION_MAJOR 3)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 1)
 execute_process(
     COMMAND git rev-parse --short HEAD
     WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
@@ -226,6 +226,7 @@
     "^${PROJECT_SOURCE_DIR}/build/"
     "${PROJECT_SOURCE_DIR}/.gitignore$"
     "${PROJECT_SOURCE_DIR}/po/dfc.pot$"
+    "${PROJECT_SOURCE_DIR}/res/"
     "${CPACK_SOURCE_IGNORE_FILES}")
 include(CPack)
 add_custom_target(dist

=== Makefile ===
all: release

release: _mkdir_build
	cd build && cmake -DCMAKE_BUILD_TYPE=RELEASE .. && make

debug: _mkdir_build
	cd build && cmake -DCMAKE_BUILD_TYPE=DEBUG -DCMAKE_VERBOSE_MAKEFILE=YES .. && make

clean:
	rm -rf build

install: release
	$(MAKE) -C build install

_mkdir_build:
	test -d build || mkdir build

.PHONY: all release debug _mkdir_build clean

=== debian/changelog ===
dfc (3.1.1-2) unstable; urgency=medium

  * QA upload.

  * Orphan package.  Lots of thanks to the now unavailable Sabino Par for
    his work on the package.
  * Updated Standards-Version from 4.6.2 to 4.7.0.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 16 Apr 2024 16:20:50 +0200

dfc (3.1.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 13.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 27 Feb 2023 07:43:17 +0100

dfc (3.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  * Corrected Vcs-Browser d/control line.
  * Updated upstream home information.
  * Updated Standards-Version from 4.0.0 to 4.6.2.
  * Document in d/control no root privileges are needed to build the package.
  * Corrected package priority from extra to optional.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 27 Feb 2023 07:31:54 +0100

dfc (3.1.1-1) unstable; urgency=medium

  [ Sabino Par ]
  * New upstream version 3.1.1.
  * d/control: Set Vcs-* to salsa.debian.org

 -- Sabino Par <sprab@onenetbeyond.org>  Tue, 27 Feb 2018 09:00:28 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ -Scmake

override_dh_auto_configure:
	cp -v po/fr.po debian/fr.po.orig
	cp -v po/nl.po debian/nl.po.orig
	dh_auto_configure -- -DXDG_CONFIG_DIR=/usr/share/doc/dfc/examples \
	  -DSYSCONFDIR=/etc

override_dh_auto_install:
	dh_auto_install
	rm -v debian/dfc/usr/share/doc/dfc/LICENSE \
	  debian/dfc/usr/share/doc/dfc/CHANGELOG.md

override_dh_auto_clean:
	dh_auto_clean
	if [ -f debian/fr.po.orig ]; then mv -v debian/fr.po.orig po/fr.po; fi
	if [ -f debian/nl.po.orig ]; then mv -v debian/nl.po.orig po/nl.po; fi
	rm -vf po/dfc.pot

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dfc-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/rolinh/dfc/tags .*/v?(\d\S*)\.tar\.gz
